
//----------- ADC header file ------------//


typedef unsigned char BYTE;      //  8 bit  :	unsigned char
typedef unsigned int WORD;			// 16 bits :	unsigned int

/* LCD Commands*/
#define DISPLAY_ON1		0x0C	/* display on, cursor off, blink off */
#define DISPLAY_ON2		0x0D	/* display on, cursor off, blink on */
#define DISPLAY_ON3		0x0E	/* display on, cursor on, blink off */
#define DISPLAY_ON4		0x0F	/* display on, cursor on, blink on */
#define DISPLAY_OFF		0x08	/* display off, cursor off, blink off */
#define CLEAR_DISPLAY	0x01
#define CLEAR_DISPLAY2	0x00
#define RETURN_HOME 	0x02	/* to first position on display */
#define ENTRY_MODE1 	0X06	/* entry mode: incrmnt +1, not shift */
#define ENTRY_MODE2 	0X07	/* entry mode: incrmnt +1, shift */
#define ROTATE_RIGHT	0X14	/* Cursor rotate right */
#define ROTATE_LEFT		0X10	/* Cursor rotate left */
#define FUNCTION_SET1 	0X30	/* 8 bit interface, 5x7 dots, 1 lines */
#define FUNCTION_SET2 	0X38	/* 8 bit interface, 5x7 dots, 2 lines */
#define DDRAM_ADDR_EVEN	0x80	/* DDRAM Initialize */
#define DDRAM_ADDR_ODD 	0xC0	/* DDRAM Initialize */

